@import url('https://fonts.googleapis.com/css2?family=Agbalumo&display=swap');


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Agbalumo;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: url(https://cdn.pixabay.com/photo/2016/12/16/15/25/christmas-1911637_640.jpg);
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  background-attachment: fixed;
}

.container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  width: 65%;
  margin: auto;
  height: 80vh;
  overflow: auto;
  padding: 0 1rem 1rem;
  background: transparent;
  border: 2px solid rgba(255, 255, 255, .2);
  backdrop-filter: blur(2px);
  box-shadow: 0 0 10px rgba(0, 0, 0, .2);
  border-top-left-radius:40px;
  border-bottom-right-radius: 40px;
}

.container:hover {
  outline: 3px solid #f7bc0a;
  transition: .3s linear;
}



.container::-webkit-scrollbar {
  display: none;
}

.header {
  width: 100%;
  text-align: center;
  position: sticky;
  top: 0;
  z-index: 1;
  background: transparent;
 

}

h2 {
  color:#f7bc0a;
  font-size: 2rem;
  font-weight: bold;
  margin: 5px 0;
  text-shadow: 5px 5px 5px black;
}



.add-section {
  /* width: 100%; */
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.task-list {
  width: 100%;
}

.input {
  /* width: 75%; */
  padding: 10px;
  border: none;
  outline: none;
  font-size: 1rem;
  flex: 1;
  margin-right: 0.5rem;
  border-radius: 5px;
  background-color: rgb(173, 180, 68);
}

.add-btn {
  width: 4rem;
  padding: 13px;
  cursor: pointer;
  border-radius: 50%;
  border: none;
  background-color: rgb(173, 180, 68);
}
.add-btn:hover{
  transform: scale(95%);
  transition: 0.5s;
  color: white;
  background-color: red;
}

.add-btn i {
  font-size: 1rem;
}
.list li i:hover {
  transform: scale(95%);
  transition: 0.2s;
}


.list li {
  padding: 0.3rem;
  display: flex;
  align-items: center;
  border: 1px solid;
  border-radius: 5px;
  margin: 5px 0;
  color: rgb(238, 255, 0);
}

.list li i {
  border: 1px solid red;
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: red;
  color: white;
  box-shadow: 0px 0px 5px black;
  cursor: pointer;
}

span {
  font-size: 1.3rem;
  flex: 1;
  padding: 0 0.5rem;
  font-weight: lighter;
}
.textSpan{
;
}

.reset {
  width: 50px;
  display: none;
  padding: 3px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  font-size: 1.3rem;
  font-weight: bold;
  background-color: red;
  color: white;
}
.reset:hover {
  transform: scale(95%);
  transition: 0.2s;
  color: white;
  background-color: red;
}

.li-item .cizgi{
  text-decoration: line-through;
  color:rgb(238, 255, 0) 
}


@media screen and ( max-width : 576px) {
    
    h2{
        font-size: 1rem;
    }
    .add-section{
        flex-direction: column;
        gap: .5rem;

    }
    .input{
        flex: 0;
        width: 100%;
        padding: .5rem;
        border: none;
        outline: none;
        font-size: .5rem;
        
    }
    .container{
        width: 90%;
    }
    .add-btn{
        width: 2rem;
        padding: .3rem;
    }
    span{
        font-size: 1rem;
    }
    .list li i{
        font-size: .5rem;
        width: 1rem;
        height: 1rem;

    }
    .reset{
        width: 2rem;
        padding: .3rem;
        text-align: center;
    }
   

}